SubscriptionContainer (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.SubscriptionContainer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service
Interface SubscriptionContainer

All Known Implementing Classes:
  SubscriptionContainerImpl

public interface SubscriptionContainer

Represents a possibly persistent container of subscription objects

Version:
  $Revision: 1.8 $

Method Summary
`Subscription` | `getSubscription(String consumerId)` Gets the current subscription for the given consumerId if it is available
`Set` | `getSubscriptions(ActiveMQDestination destination)`
`Subscription` | `makeSubscription(Dispatcher dispatcher, BrokerClient client, ConsumerInfo info, Filter filter)` Creates a subscription (which could be a previous subscription reconecting) and adds it to this container
`Subscription` | `removeSubscription(String consumerId)`
`Iterator` | `subscriptionIterator()`

Method Detail

### getSubscription

    public Subscription getSubscription(String consumerId)

  Gets the current subscription for the given consumerId if it is available

  Parameters:
    `consumerId` -
  Returns:

### removeSubscription

    public Subscription removeSubscription(String consumerId)

### subscriptionIterator

    public Iterator subscriptionIterator()

  Returns:
    an iterator through the subscriptions

### makeSubscription

    public Subscription makeSubscription(Dispatcher dispatcher,
                                         BrokerClient client,
                                         ConsumerInfo info,
                                         Filter filter)

  Creates a subscription (which could be a previous subscription reconecting) and adds it to this container

  Parameters:
    `dispatcher` -
    `client` -
    `info` -
    `filter` -
  Returns:

### getSubscriptions

    public Set getSubscriptions(ActiveMQDestination destination)

  Parameters:
    `destination` -
  Returns:
    a collection of subscriptions for the given destination

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.